Bug 435694 - xelatex produces no output
xelatex produces no output
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 07:15 EST by Neal Becker
Modified: 2013-07-02 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-07 01:49:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2008-03-03 07:15:35 EST
Description of problem:

At the end of what looks like normal processing, I see this:
sh: xdvipdfmx: command not found
no output file is produced.
But at the end it says 'output written to test.pdf', which is a lie.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jindrich Novy 2008-03-04 10:54:52 EST
Are you sure you have dvipdfmx package installed? texlive-xetex should have
required it.
Comment 2 Jindrich Novy 2008-03-04 10:55:43 EST
btw. dvipdfmx is now to be packaged separately. Please have a look at bug
#433225 for more information.
Comment 3 Neal Becker 2008-03-04 11:57:50 EST
xdvipdfmx is not the same as dvipdfmx.

I put a version here:
http://nbecker.dyndns.org:8080/RPM/xdvipdfmx-0.3-1.src.rpm
Comment 4 Jindrich Novy 2008-03-05 08:08:35 EST
Thanks for packaging xdvipdfmx!

Before you file a review request a few points:

xdvipdfmx.src: E: invalid-spec-name xdvipdfmx-0.3.spec
Please do not version the spec file, name it simply xdvipdfmx.spec

xdvipdfmx.src:14: W: hardcoded-packager-tag Jonathan
AFAIK this tag became obsolete

xdvipdfmx.src:36: W: setup-not-quiet
Please use %setup -q to calm down verbose setup

xdvipdfmx.src:43: W: rpm-buildroot-usage %build rm -rf $RPM_BUILD_ROOT
This belongs to %install phase.

xdvipdfmx.src: E: no-cleaning-of-buildroot %install
As the above.

xdvipdfmx.src: E: no-cleaning-of-buildroot %clean
xdvipdfmx.src: W: no-%clean-section
Here also has to be rm -rf $RPM_BUILD_ROOT in %clean section that has to exist.

xdvipdfmx.src: W: non-standard-group Productivity/Publishing/TeX/Base
Please use Applications/Publishing here instead.

xdvipdfmx.src: W: invalid-license GPL
Valid license tag seems to be GPLv2+

xdvipdfmx.src: W: strange-permission xdvipdfmx-0.3.spec 0600
Better to have 0664 here.
Comment 5 Neal Becker 2008-03-05 08:41:05 EST
I have an updated version:
http://nbecker.dyndns.org:8080/RPM/xdvipdfmx-0.4-1.src.rpm

I'm stuck on 1 thing:
xdvipdfmx.x86_64: E: explicit-lib-dependency libpng

I have no idea what's causing this.  It looks to me that other libs (e.g., 
zlib) are used exactly the same way as libpng.  Is it just because the 
requires is called 'lib<something>'?  That's the package that provides it:

rpm -q --whatprovides libpng
libpng-1.2.22-1.fc8.x86_64
libpng-1.2.22-1.fc8.i386
Comment 6 Jindrich Novy 2008-03-05 09:01:46 EST
RPM will add the requires automatically via the find-requires script after build
that analyzes every executable in buildroot and add needed Requires. So you
don't need to specify neither libpng nor libz Requires but rather BuildRequire them.
Comment 7 Jindrich Novy 2008-03-05 09:07:56 EST
If you want to include xdvipdfmx to Fedora, please follow:

http://fedoraproject.org/wiki/PackageMaintainers/NewPackageProcess

There is needed a review request bug, where we can go on with the review.
Comment 8 Jindrich Novy 2008-03-07 01:49:20 EST
I think xelatex works fine with the latest texlive. If not, please reopen.

Note You need to log in before you can comment on or make changes to this bug.